# Trait ethcore::miner::NotifyWork [−] [src]

    pub trait NotifyWork: Send + Sync {
        fn notify(&self, pow_hash: H256, difficulty: U256, number: u64);
    }

Trait for notifying about new mining work

## Required Methods

### `fn notify(&self, pow_hash: H256, difficulty: U256, number: u64)`

Fired when new mining job available

## Implementors

- `impl NotifyWork for Stratum`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)